#!/bin/bash

LOG="ans01.log"
cp -rp ~/login.cl .

nsigrej=3.0
maxiter=10
print="yes"
verbose="yes"
lower="INDEF"
upper="INDEF"
filename="abc.fits"

help(){
    printf "Example: ./ans01.sh -f ./image.fits -n 5 -m 20 -l -999999 -u 999999\n" 1>&2
    printf "Options: -h : show this help\n" 1>&2
    printf "Options: -n [nsigrej] : default ${nsigrej}\n" 1>&2
    printf "Options: -m [maxiter] : default ${maxiter}\n" 1>&2
    printf "Options: -p [print] : set print no\n" 1>&2
    printf "Options: -v [verbose] : set verbose no\n" 1>&2
    printf "Options: -l [lower] : default ${lower}\n" 1>&2
    printf "Options: -u [upper] : default ${upper}\n" 1>&2
    printf "Options: -f : [filename]\n" 1>&2
}

while getopts "hn:m:pvl:u:f:" opt
do
    case $opt in
        h)help;
            exit 0;;
        n)nsigrej=${OPTARG};;
        m)maxiter=${OPTARG};;
        p)print="no";;
        v)verbose="no";;
        l)lower=${OPTARG};;
        u)upper=${OPTARG};;
        f)filename=${OPTARG};;
    esac
done

#echo "${nsigrej} ${maxiter} ${print} ${verbose} ${lower} ${upper} ${filename}"

# ここまではただのオプション処理。
# さて、IRAFを呼び出して使いましょう。
# タスクを定義している所のパスを適宜書き換えて下さい。

( (cl -old | tee ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
task iterstat=/Users/yoshifusa/Desktop/IRAF-KOUSYUUKAI/iterstat.cl
iterstat image=${filename} nsigrej=${nsigrej} maxiter=${maxiter} print=${print} verbose=${verbose} lower=${lower} upper=${upper}
logout
EOF
