#!/bin/bash

LOG="ans03.log"
cp -rp ~/login.cl .

# まずは、tekitouというファイルを作ります。
( (cl -old | tee ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
task ans02=/Users/yoshifusa/Desktop/IRAF-KOUSYUUKAI/ans02.cl
ans02 image="./img/MT*.fits"
logout
EOF

# tekitouというファイルから、DARKという文字が含まれた行だけを
# 表示します。その結果をawkに渡し、一列目だけを表示します。
sed -n '/DARK/p' tekitou | awk '{print $1}' > dark.list

# 出来上がったdark.listを読み込んで、スーパーダークを作ります。
# combineのパラメーターはhelpを見て適宜好きな値を選んで下さい。
( (cl -old | tee -a ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
noao
imred
ccdred
combine ("@dark.list", "sdark.fits", plfile="", sigma="", ccdtype="", subsets=no, delete=no, clobber=no, combine="median", reject="sigclip", project=no, outtype="real", offsets="none", masktype="none", maskvalue=0., blank=0., scale="none",zero="none", weight="none", statsec="", lthreshold=INDEF, hthreshold=INDEF, nlow=1, nhigh=1, nkeep=1, mclip=yes, lsigma=3., hsigma=3., rdnoise="0.",gain="1.", snoise="0.", sigscale=0.1, pclip=-0.5, grow=0)
logout
EOF
