#!/bin/bash

LOG="ans04.log"
cp -rp ~/login.cl .

( (cl -old | tee ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
task ans02=/Users/yoshifusa/Desktop/IRAF-KOUSYUUKAI/ans02.cl
ans02 image="./img/MT*.fits"
logout
EOF

sed -n '/DARK/p' tekitou | awk '{print $1}' > dark.list

( (cl -old | tee -a ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
noao
imred
ccdred
combine ("@dark.list", "sdark.fits", plfile="", sigma="", ccdtype="", subsets=no, delete=no, clobber=no, combine="median", reject="sigclip", project=no, outtype="real", offsets="none", masktype="none", maskvalue=0., blank=0., scale="none",zero="none", weight="none", statsec="", lthreshold=INDEF, hthreshold=INDEF, nlow=1, nhigh=1, nkeep=1, mclip=yes, lsigma=3., hsigma=3., rdnoise="0.",gain="1.", snoise="0.", sigscale=0.1, pclip=-0.5, grow=0)
logout
EOF

# ここまではans03.shと同じです。

# 先ほどと同じように、今度はOBJECTという文字列が入った行だけを表示し、
# その結果をパイプでtrというコマンドに渡します。trは置換をするためのコマンドで、
# / を 空白 と置換します。その結果を更にパイプでawkに渡し、3列目だけを表示して
# object.listを作ります。パイプは便利です。
sed -n '/OBJECT/p' tekitou | tr '/' ' ' | awk '{print $3}' > object.list

rm -rf dMT*.fits 2>&1
rm -rf fdMT*.fits 2>&1

# whileループを使って、object.listからファイル名を読みます。
# この例はかなり力業で、画像1枚を処理する毎にIRAF起動、終了しますから、
# 処理スピードを重視する場合はこのようにはしない方がよいでしょう。
# このようにゴリゴリとシェルスクリプトで色々できるという例を示す目的で
# あえてこのやりかたを示します。
while read filename;
do
    ( (cl -old | tee -a ${LOG}) 2>&1 ) <<EOF
! echo ""
! echo ""
images
imutil
imarith ("./img/"//"${filename}", "-", "sdark.fits", "d"//"${filename}", title="", divzero=0., hparams="", pixtype="", calctype="", verbose=no, noact=no)
imarith ("d"//"${filename}", "/", "./img/"//"skyflat.fits", "fd"//"${filename}", title="", divzero=0., hparams="", pixtype="", calctype="", verbose=no, noact=no)
logout
EOF
done < object.list
